curl -X GET \
/accounting/cost-centres \
--header "Authorization: Bearer <token>"{
"data": [
{
"name": "Cost Centre",
"type": "KOST1",
"status": "active",
"id": "ad8f1c9c-4f0a-4e1a-8b1a-9c4d9c4d9c4d",
"code": "CC",
"createdAt": "2021-01-01T00:00:00+00:00",
"updatedAt": "2021-01-01T00:00:00+00:00"
}
],
"meta": {
"pagination": {
"totalItems": 123,
"itemsPerPage": 123,
"currentPage": 123,
"lastPage": 123,
"pageTotalItems": 123
}
}
}Get all cost centres
Required permissions:cost-centre:readcurl -X GET \
/accounting/cost-centres \
--header "Authorization: Bearer <token>"{
"data": [
{
"name": "Cost Centre",
"type": "KOST1",
"status": "active",
"id": "ad8f1c9c-4f0a-4e1a-8b1a-9c4d9c4d9c4d",
"code": "CC",
"createdAt": "2021-01-01T00:00:00+00:00",
"updatedAt": "2021-01-01T00:00:00+00:00"
}
],
"meta": {
"pagination": {
"totalItems": 123,
"itemsPerPage": 123,
"currentPage": 123,
"lastPage": 123,
"pageTotalItems": 123
}
}
}Value for the Authorization header parameter.
The collection page number
The number of items per page
0 <= x <= 100CostCentre collection
Show child attributes
The name of the cost centre, which is displayed in the UI
255"Cost Centre"
The type of the cost centre, which is used for exports
KOST1, KOST2 "KOST1"
The status of the cost centre
Possible values:
active: The cost centre is active and can be used and referencedarchived: The cost centre is archived and cannot be referenced anymore. It also disappears from the UI."active"
"ad8f1c9c-4f0a-4e1a-8b1a-9c4d9c4d9c4d"
The code of the cost centre, which is used for exports
"CC"
The date and time when the cost centre was created
"2021-01-01T00:00:00+00:00"
The date and time when the cost centre was last updated
"2021-01-01T00:00:00+00:00"
Was this page helpful?